Skip to main content
PATCH
Edit one pending user turn

Headers

x-user-id
string
required

Caller's user ID. Temporary header-based identity; will be replaced by JWT auth.

Path Parameters

item_id
string
required

Stable id of the pending item to update.

Body

application/json

Replace the input carried by one pending queue item.

agent_id
string
required

Agent that owns the target session.

session_id
string
required

Session whose pending item will be updated.

input
Msg · object
required

The message class in AgentScope, responsible for information storage and transmission among different agents.

Response

Successful Response

Current editable FIFO snapshot for a session.

items
ChatQueueItem · object[]
required

Editable pending turns in FIFO execution order.